View Issue Details

IDProjectCategoryView StatusLast Update
00306162.x IDE BugsSyntax ErrorsPublic2019-03-14 11:10
ReporterScott DunbarAssigned ToRussell Kay 
PriorityVery HighSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030616: Syntax Errors: Audio group functions expecting a groupID show warnings of unassigned variables
DescriptionWhen using the functions audio_group_xxxx that expect the audio group ID as a parameter, the editor will display warnings that claim that there is an "unassigned variable"
Steps To Reproduce1. Create a new project
2. Add some sound resources
3. Create an object
4. Add event to object
5. Add code that uses the audio_group_xxxx functions - example:

if(audio_group_is_loaded(audiogroup_default)){
    audio_group_unload(audiogroup_default);
}

6. observe that the lines with the audio_group functions are showing a warning
7. hover over the warning to see a warning of "unassigned variables"
TagsIDE
2.x IDE Found In2.2.2.401
2.x Runtime Found In2.2.2.302
2.x IDE Verified In2.2.2.404
2.x Runtime Verified In2.2.2.317

Activities

Scott Dunbar

2019-03-12 16:00

Adminstrator  

audiogroupwarnings.yyz (568,685 bytes)

Scott Dunbar

2019-03-12 16:57

Adminstrator  

audioGroupWarning.png (7,215 bytes)
audioGroupWarning.png (7,215 bytes)

Russell Kay

2019-03-13 15:31

Manager   ~0063494

Fixed in github

Dan

2019-03-13 16:05

Adminstrator   ~0063497

IDE 404+

Dan

2019-03-14 11:10

Adminstrator   ~0063504

All fine now. Closing.